```shell
.
├── @types
│   └── index.d.ts
├── README.md
├── app.js
├── build # 构建脚本 在shell下直接执行： ./build
├── check-config # 检查启动环境所需的配置文件 ./check-config
├── ci # CI相关脚本，一般是在CI容器里执行
│   └── build_tag.sh
├── dto
│   ├── admin.ts
│   └── init.ts
├── entity # ORM映射
│   └── user.ts
├── event.js # 全局事件管理工具
├── example.env # 环境变量示例文件
├── middlewares # 中间件
│   ├── ValidateDto.js # 验证DTO
│   ├── auth.js # 鉴权
│   └── page_auth.js
├── nodemon.json # nodemon配置
├── ormconfig.example.json # ORM配置示例文件
├── ormconfig.json # ORM配置
├── package.json
├── public
│   └── stylesheets
│       ├── style.css
│       └── style.less
├── routes # 路由
│   ├── admin.js
│   ├── index.js
│   └── users.js
├── tsconfig.json
├── utils
│   ├── auth.js # 鉴权工具：加密生成token/解密token
│   └── id.ts # ID生成器
├── views
│   ├── error.hjs
│   └── index.hjs
├── www
└── yarn.lock
```
